import { Constructor } from "./interfaces/constructor";
import { AbstractModel } from "../models";
import { IIdentifiable } from "../models/interfaces/IIdentifiable";
import { ModelQuery } from "src/queryBuilder/interfaces/QueryCondition";
export declare const HasMany: <T extends AbstractModel<T>>(config: {
    model: () => Constructor<T>;
    column: keyof T;
    sync?: boolean | undefined;
}) => <K extends IIdentifiable>(object: AbstractModel<K>, propertyKey: string) => void;
export declare const HasOne: <T extends AbstractModel<T>>(config: {
    model: () => Constructor<T>;
    column: keyof T;
    sync?: boolean | undefined;
}) => <K extends IIdentifiable>(object: AbstractModel<K>, propertyKey: string) => void;
export declare const BelongTo: <K extends AbstractModel<K>>(config: {
    model: () => Constructor<AbstractModel<any>>;
    column: Exclude<keyof K, import("src/queryBuilder/interfaces/QueryCondition").FunctionQueryBuilder>;
    sync?: boolean | undefined;
}) => <K_1 extends IIdentifiable>(object: AbstractModel<K_1>, propertyKey: string) => void;
