"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BelongTo = exports.HasOne = exports.HasMany = void 0;
const metadata_1 = require("../global/metadata");
const relationship_1 = require("./interfaces/relationship");
const Relationship = (type) => {
    return (config) => {
        return function (object, propertyKey) {
            const constructor = object.constructor;
            const paramRelation = {
                fieldName: propertyKey,
                type: type,
                sync: config.sync || false,
                refs: {
                    modelChild: config.model,
                    modelParent: () => constructor,
                    FK: config.column,
                },
            };
            (0, metadata_1.getMetadataTable)().pushRelation(constructor, paramRelation);
            (0, metadata_1.getMetadataRelationship)().pushRelationship(paramRelation);
        };
    };
};
exports.HasMany = Relationship(relationship_1.TypeRelation.HAS_MANY);
exports.HasOne = Relationship(relationship_1.TypeRelation.HAS_ONE);
const BelongTo = (config) => {
    return function (object, propertyKey) {
        const constructor = object.constructor;
        const paramRelation = {
            fieldName: propertyKey,
            type: relationship_1.TypeRelation.BELONG_TO,
            sync: config.sync || false,
            refs: {
                FK: config.column,
                modelChild: () => constructor,
                modelParent: config.model,
            },
        };
        (0, metadata_1.getMetadataTable)().pushRelation(constructor, paramRelation);
        (0, metadata_1.getMetadataRelationship)().pushRelationship(paramRelation);
    };
};
exports.BelongTo = BelongTo;
