export declare enum RouteParamtypes {
    REQUEST = "REQUEST",
    BODY = "BODY",
    QUERY = "QUERY",
    PARAMS = "PARAMS",
    REQUEST_AUTH = "REQUEST_AUTH",
    UPLOAD = "UPLOAD"
}
export interface ParameterConfiguration {
    /**
     * Indicates whether argument is a body, query, param, or custom parameter
     */
    readonly type: RouteParamtypes;
    /**
     * Content type of the body parameter
     */
    readonly contentType: "application/json" | "multipart/form-data";
    /**
     * Underlying base type (e.g., `String`) of the parameter, based on the type
     * definition in the route handler.
     */
    readonly index: number;
    readonly optionUpload?: {
        type?: string;
        destination?: string;
    };
}
export type ParamData = object | string | number | null;
