import { Constructor } from "../decorators/interfaces/constructor";
import { Injector } from "./injector";
export declare enum InjectionMode {
    TRANSIENT = "transient",
    SINGLETON = "singleton"
}
interface InjectableInfo<T> {
    constructorFn: Constructor<T>;
    mode: InjectionMode;
    dependencies?: Constructor<any>[];
    singletonInstance?: T;
    alias?: any;
}
export declare class ServiceProvider {
    app: InjectableInfo<any>[];
    private injectableRegistry;
    constructor();
    register<T>(constructorFn: Constructor<T>, mode?: InjectionMode, alias?: any): ServiceProvider;
    getInjector(): Injector;
    getInfo<T>(constructorFn: Constructor<T>): InjectableInfo<T>;
}
export declare function getServiceProvider(): ServiceProvider;
export {};
