"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataType = exports.MethodRouter = exports.MetadataKeys = void 0;
var MetadataKeys;
(function (MetadataKeys) {
    MetadataKeys["BASE_PATH"] = "__basePath__";
    MetadataKeys["ROUTERS"] = "__routers__";
    MetadataKeys["ROUTE_ARGS_METADATA"] = "__routeArguments__";
    MetadataKeys["RESPONSE_TYPE_METADATA"] = "__responseType__";
    MetadataKeys["API_DESCRIPTION_METADATA"] = "__apiDescription__";
    MetadataKeys["MIDDLEWARE"] = "__middleware__";
    MetadataKeys["SCHEDULER"] = "__scheduler__";
    MetadataKeys["PARAM_TYPE"] = "design:paramtypes";
    MetadataKeys["TYPE"] = "design:type";
})(MetadataKeys || (exports.MetadataKeys = MetadataKeys = {}));
var MethodRouter;
(function (MethodRouter) {
    MethodRouter["GET"] = "get";
    MethodRouter["POST"] = "post";
    MethodRouter["PUT"] = "put";
    MethodRouter["PATCH"] = "patch";
    MethodRouter["DELETE"] = "delete";
})(MethodRouter || (exports.MethodRouter = MethodRouter = {}));
var DataType;
(function (DataType) {
    /**
     * Boolean value.
     */
    DataType["BOOLEAN"] = "boolean";
    /**
     * Numerical integral value.
     */
    DataType["NUMBER"] = "number";
    /**
     * String value.
     */
    DataType["STRING"] = "string";
})(DataType || (exports.DataType = DataType = {}));
